org.apache.cassandra.index.sasi.disk

## Class AbstractTokenTreeBuilder.Leaf

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Node
  - - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Leaf

Enclosing class:
  AbstractTokenTreeBuilder

    protected abstract class AbstractTokenTreeBuilder.Leaf
    extends AbstractTokenTreeBuilder.Node

### Nested Class Summary

Nested Classes
`protected class` `AbstractTokenTreeBuilder.Leaf.LeafEntry`
`protected class` `AbstractTokenTreeBuilder.Leaf.SimpleLeafEntry`

### Field Summary

Fields
`protected com.carrotsearch.hppc.LongArrayList` `overflowCollisions`

### Fields inherited from class org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Node

`next, nodeMaxToken, nodeMinToken, parent`

### Constructor Summary

Constructors
Constructor and Description
`Leaf(java.lang.Long minToken, java.lang.Long maxToken)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`int` `childCount()`
`protected AbstractTokenTreeBuilder.Leaf.LeafEntry` `createEntry(long tok, com.carrotsearch.hppc.LongSet offsets)`
`int` `overflowCollisionCount()`
`void` `serialize(long childBlockIndex, java.nio.ByteBuffer buf)`
`protected abstract void` `serializeData(java.nio.ByteBuffer buf)`
`protected void` `serializeOverflowCollisions(java.nio.ByteBuffer buf)`

### Methods inherited from class org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Node

`isLastLeaf, isLeaf, isRoot, isSerializable, largestToken, levelIterator, serializeHeader, smallestToken, tokenCount, updateTokenRange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### overflowCollisions

    protected com.carrotsearch.hppc.LongArrayList overflowCollisions

### Constructor Detail

#### Leaf

    public Leaf(java.lang.Long minToken,
                java.lang.Long maxToken)

### Method Detail

#### childCount

    public int childCount()

Specified by:
  `childCount` in class `AbstractTokenTreeBuilder.Node`

#### overflowCollisionCount

    public int overflowCollisionCount()

#### serializeOverflowCollisions

    protected void serializeOverflowCollisions(java.nio.ByteBuffer buf)

#### serialize

    public void serialize(long childBlockIndex,
                          java.nio.ByteBuffer buf)

Specified by:
  `serialize` in class `AbstractTokenTreeBuilder.Node`

#### serializeData

    protected abstract void serializeData(java.nio.ByteBuffer buf)

#### createEntry

    protected AbstractTokenTreeBuilder.Leaf.LeafEntry createEntry(long tok,
                                                                  com.carrotsearch.hppc.LongSet offsets)